org.apache.tinkerpop.gremlin.language.grammar

## Class GenericLiteralVisitor

- java.lang.Object
- - org.antlr.v4.runtime.tree.AbstractParseTreeVisitor<T>
  - - org.apache.tinkerpop.gremlin.language.grammar.GremlinBaseVisitor<Object>
    - - org.apache.tinkerpop.gremlin.language.grammar.GenericLiteralVisitor

- All Implemented Interfaces:
    org.antlr.v4.runtime.tree.ParseTreeVisitor<Object>, GremlinVisitor<Object>

      public class GenericLiteralVisitor
      extends GremlinBaseVisitor<Object>

  Visitor class to handle generic literal. All visitor methods return type is Object. It maybe used as a singleton in cases where a `Traversal` object is not expected, otherwise a new instance must be constructed.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected GremlinAntlrToJava` | `antlr`
    `static int` | `TOTAL_INTEGER_RANGE_RESULT_COUNT_LIMIT` Limit for integer range result count.
    `protected GremlinBaseVisitor<TraversalStrategy>` | `traversalStrategyVisitor`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GenericLiteralVisitor(GremlinAntlrToJava antlr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `getBooleanLiteral(GremlinParser.BooleanLiteralContext booleanLiteral)` Parse a boolean literal context and return the boolean literal
    `static Object[]` | `getGenericLiteralList(GremlinParser.GenericLiteralListContext objectLiteralList)` Parse a generic literal list, and return an object array
    `static GenericLiteralVisitor` | `getInstance()`
    `static String` | `getStringLiteral(GremlinParser.StringLiteralContext stringLiteral)` Parse a string literal context and return the string literal
    `static String[]` | `getStringLiteralList(GremlinParser.StringLiteralListContext stringLiteralList)` Parse a String literal list context and return a string array
    `static TraversalStrategy[]` | `getTraversalStrategyList(GremlinParser.TraversalStrategyListContext traversalStrategyListContext, GremlinBaseVisitor<TraversalStrategy> traversalStrategyVisitor)` Parse a TraversalStrategy literal list context and return a string array
    `Object` | `visitBooleanLiteral(GremlinParser.BooleanLiteralContext ctx)` Visit a parse tree produced by `GremlinParser.booleanLiteral()`.
    `Object` | `visitDateLiteral(GremlinParser.DateLiteralContext ctx)` Visit a parse tree produced by `GremlinParser.dateLiteral()`.
    `Object` | `visitFloatLiteral(GremlinParser.FloatLiteralContext ctx)` Visit a parse tree produced by `GremlinParser.floatLiteral()`.
    `Object` | `visitGenericLiteral(GremlinParser.GenericLiteralContext ctx)` Visit a parse tree produced by `GremlinParser.genericLiteral()`.
    `Object` | `visitGenericLiteralCollection(GremlinParser.GenericLiteralCollectionContext ctx)` Visit a parse tree produced by `GremlinParser.genericLiteralCollection()`.
    `Object` | `visitGenericLiteralExpr(GremlinParser.GenericLiteralExprContext ctx)` Visit a parse tree produced by `GremlinParser.genericLiteralExpr()`.
    `Object` | `visitGenericLiteralList(GremlinParser.GenericLiteralListContext ctx)` Visit a parse tree produced by `GremlinParser.genericLiteralList()`.
    `Object` | `visitGenericLiteralMap(GremlinParser.GenericLiteralMapContext ctx)` Visit a parse tree produced by `GremlinParser.genericLiteralMap()`.
    `Object` | `visitGenericLiteralRange(GremlinParser.GenericLiteralRangeContext ctx)` Groovy range operator syntax is defined in http://groovy-lang.org/operators.html#_range_operator Visit a parse tree produced by `GremlinParser.genericLiteralRange()`.
    `Object` | `visitIntegerLiteral(GremlinParser.IntegerLiteralContext ctx)` Visit a parse tree produced by `GremlinParser.integerLiteral()`.
    `Object` | `visitNestedTraversal(GremlinParser.NestedTraversalContext ctx)` Visit a parse tree produced by `GremlinParser.nestedTraversal()`.
    `Object` | `visitNullLiteral(GremlinParser.NullLiteralContext ctx)` Visit a parse tree produced by `GremlinParser.nullLiteral()`.
    `Object` | `visitStringLiteral(GremlinParser.StringLiteralContext ctx)` Visit a parse tree produced by `GremlinParser.stringLiteral()`.
    `Object` | `visitTerminatedTraversal(GremlinParser.TerminatedTraversalContext ctx)` Visit a parse tree produced by `GremlinParser.terminatedTraversal()`.
    `Object` | `visitTraversalCardinality(GremlinParser.TraversalCardinalityContext ctx)` Visit a parse tree produced by `GremlinParser.traversalCardinality()`.
    `Object` | `visitTraversalDirection(GremlinParser.TraversalDirectionContext ctx)` Visit a parse tree produced by `GremlinParser.traversalDirection()`.
    `Object` | `visitTraversalOptionParent(GremlinParser.TraversalOptionParentContext ctx)` Visit a parse tree produced by `GremlinParser.traversalOptionParent()`.
    `Object` | `visitTraversalStrategy(GremlinParser.TraversalStrategyContext ctx)` Visit a parse tree produced by `GremlinParser.traversalStrategy()`.
    `Object` | `visitTraversalToken(GremlinParser.TraversalTokenContext ctx)` Visit a parse tree produced by `GremlinParser.traversalToken()`.

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.language.grammar.GremlinBaseVisitor

      `visitChainedParentOfGraphTraversal, visitChainedTraversal, visitConnectedComponentConstants, visitConnectedComponentStringConstant, visitEmptyQuery, visitGremlinStringConstants_connectedComponentStringConstants_component, visitGremlinStringConstants_connectedComponentStringConstants_edges, visitGremlinStringConstants_connectedComponentStringConstants_propertyName, visitGremlinStringConstants_ioOptionsStringConstants_graphml, visitGremlinStringConstants_ioOptionsStringConstants_graphson, visitGremlinStringConstants_ioOptionsStringConstants_gryo, visitGremlinStringConstants_ioOptionsStringConstants_reader, visitGremlinStringConstants_ioOptionsStringConstants_writer, visitGremlinStringConstants_pageRankStringConstants_edges, visitGremlinStringConstants_pageRankStringConstants_propertyName, visitGremlinStringConstants_pageRankStringConstants_times, visitGremlinStringConstants_peerPressureStringConstants_edges, visitGremlinStringConstants_peerPressureStringConstants_propertyName, visitGremlinStringConstants_peerPressureStringConstants_times, visitGremlinStringConstants_shortestPathStringConstants_distance, visitGremlinStringConstants_shortestPathStringConstants_edges, visitGremlinStringConstants_shortestPathStringConstants_includeEdges, visitGremlinStringConstants_shortestPathStringConstants_maxDistance, visitGremlinStringConstants_shortestPathStringConstants_target, visitGremlinStringConstants_withOptionsStringConstants_all, visitGremlinStringConstants_withOptionsStringConstants_ids, visitGremlinStringConstants_withOptionsStringConstants_indexer, visitGremlinStringConstants_withOptionsStringConstants_keys, visitGremlinStringConstants_withOptionsStringConstants_labels, visitGremlinStringConstants_withOptionsStringConstants_list, visitGremlinStringConstants_withOptionsStringConstants_map, visitGremlinStringConstants_withOptionsStringConstants_none, visitGremlinStringConstants_withOptionsStringConstants_tokens, visitGremlinStringConstants_withOptionsStringConstants_values, visitGremlinStringConstants, visitIoOptionsStringConstant, visitIoOptionsStringConstants, visitNestedTraversalExpr, visitNestedTraversalList, visitPageRankStringConstant, visitPageRankStringConstants, visitPeerPressureStringConstant, visitPeerPressureStringConstants, visitQuery, visitQueryList, visitRootTraversal, visitShortestPathStringConstant, visitShortestPathStringConstants, visitStringLiteralExpr, visitStringLiteralList, visitTransactionPart, visitTraversalBiFunction, visitTraversalColumn, visitTraversalComparator, visitTraversalFunction, visitTraversalMethod_addE_String, visitTraversalMethod_addE_Traversal, visitTraversalMethod_addV_Empty, visitTraversalMethod_addV_String, visitTraversalMethod_addV_Traversal, visitTraversalMethod_aggregate_Scope_String, visitTraversalMethod_aggregate_String, visitTraversalMethod_and, visitTraversalMethod_as, visitTraversalMethod_barrier_Consumer, visitTraversalMethod_barrier_Empty, visitTraversalMethod_barrier_int, visitTraversalMethod_both, visitTraversalMethod_bothE, visitTraversalMethod_bothV, visitTraversalMethod_branch, visitTraversalMethod_by_Comparator, visitTraversalMethod_by_Empty, visitTraversalMethod_by_Function_Comparator, visitTraversalMethod_by_Function, visitTraversalMethod_by_Order, visitTraversalMethod_by_String_Comparator, visitTraversalMethod_by_String, visitTraversalMethod_by_T, visitTraversalMethod_by_Traversal_Comparator, visitTraversalMethod_by_Traversal, visitTraversalMethod_cap, visitTraversalMethod_choose_Function, visitTraversalMethod_choose_Predicate_Traversal_Traversal, visitTraversalMethod_choose_Predicate_Traversal, visitTraversalMethod_choose_Traversal_Traversal_Traversal, visitTraversalMethod_choose_Traversal_Traversal, visitTraversalMethod_choose_Traversal, visitTraversalMethod_coalesce, visitTraversalMethod_coin, visitTraversalMethod_connectedComponent, visitTraversalMethod_constant, visitTraversalMethod_count_Empty, visitTraversalMethod_count_Scope, visitTraversalMethod_cyclicPath, visitTraversalMethod_dedup_Scope_String, visitTraversalMethod_dedup_String, visitTraversalMethod_drop, visitTraversalMethod_elementMap, visitTraversalMethod_emit_Empty, visitTraversalMethod_emit_Predicate, visitTraversalMethod_emit_Traversal, visitTraversalMethod_filter_Predicate, visitTraversalMethod_filter_Traversal, visitTraversalMethod_flatMap, visitTraversalMethod_fold_Empty, visitTraversalMethod_fold_Object_BiFunction, visitTraversalMethod_from_String, visitTraversalMethod_from_Traversal, visitTraversalMethod_group_Empty, visitTraversalMethod_group_String, visitTraversalMethod_groupCount_Empty, visitTraversalMethod_groupCount_String, visitTraversalMethod_has_String_Object, visitTraversalMethod_has_String_P, visitTraversalMethod_has_String_String_Object, visitTraversalMethod_has_String_String_P, visitTraversalMethod_has_String_Traversal, visitTraversalMethod_has_String, visitTraversalMethod_has_T_Object, visitTraversalMethod_has_T_P, visitTraversalMethod_has_T_Traversal, visitTraversalMethod_hasId_Object_Object, visitTraversalMethod_hasId_P, visitTraversalMethod_hasKey_P, visitTraversalMethod_hasKey_String_String, visitTraversalMethod_hasLabel_P, visitTraversalMethod_hasLabel_String_String, visitTraversalMethod_hasNot, visitTraversalMethod_hasValue_Object_Object, visitTraversalMethod_hasValue_P, visitTraversalMethod_id, visitTraversalMethod_identity, visitTraversalMethod_in, visitTraversalMethod_index, visitTraversalMethod_inE, visitTraversalMethod_inject, visitTraversalMethod_inV, visitTraversalMethod_is_Object, visitTraversalMethod_is_P, visitTraversalMethod_key, visitTraversalMethod_label, visitTraversalMethod_limit_long, visitTraversalMethod_limit_Scope_long, visitTraversalMethod_local, visitTraversalMethod_loops_Empty, visitTraversalMethod_loops_String, visitTraversalMethod_map, visitTraversalMethod_match, visitTraversalMethod_math, visitTraversalMethod_max_Empty, visitTraversalMethod_max_Scope, visitTraversalMethod_mean_Empty, visitTraversalMethod_mean_Scope, visitTraversalMethod_min_Empty, visitTraversalMethod_min_Scope, visitTraversalMethod_not, visitTraversalMethod_option_Object_Traversal, visitTraversalMethod_option_Predicate_Traversal, visitTraversalMethod_option_Traversal, visitTraversalMethod_optional, visitTraversalMethod_or, visitTraversalMethod_order_Empty, visitTraversalMethod_order_Scope, visitTraversalMethod_otherV, visitTraversalMethod_out, visitTraversalMethod_outE, visitTraversalMethod_outV, visitTraversalMethod_pageRank_double, visitTraversalMethod_pageRank_Empty, visitTraversalMethod_path, visitTraversalMethod_peerPressure, visitTraversalMethod_profile_Empty, visitTraversalMethod_profile_String, visitTraversalMethod_project, visitTraversalMethod_properties, visitTraversalMethod_property_Cardinality_Object_Object_Object, visitTraversalMethod_property_Object_Object_Object, visitTraversalMethod_propertyMap, visitTraversalMethod_range_long_long, visitTraversalMethod_range_Scope_long_long, visitTraversalMethod_read, visitTraversalMethod_repeat_String_Traversal, visitTraversalMethod_repeat_Traversal, visitTraversalMethod_sack_BiFunction, visitTraversalMethod_sack_Empty, visitTraversalMethod_sample_int, visitTraversalMethod_sample_Scope_int, visitTraversalMethod_select_Column, visitTraversalMethod_select_Pop_String_String_String, visitTraversalMethod_select_Pop_String, visitTraversalMethod_select_Pop_Traversal, visitTraversalMethod_select_String_String_String, visitTraversalMethod_select_String, visitTraversalMethod_select_Traversal, visitTraversalMethod_shortestPath, visitTraversalMethod_sideEffect, visitTraversalMethod_simplePath, visitTraversalMethod_skip_long, visitTraversalMethod_skip_Scope_long, visitTraversalMethod_store, visitTraversalMethod_subgraph, visitTraversalMethod_sum_Empty, visitTraversalMethod_sum_Scope, visitTraversalMethod_tail_Empty, visitTraversalMethod_tail_long, visitTraversalMethod_tail_Scope_long, visitTraversalMethod_tail_Scope, visitTraversalMethod_timeLimit, visitTraversalMethod_times, visitTraversalMethod_to_Direction_String, visitTraversalMethod_to_String, visitTraversalMethod_to_Traversal, visitTraversalMethod_toE, visitTraversalMethod_toV, visitTraversalMethod_tree_Empty, visitTraversalMethod_tree_String, visitTraversalMethod_unfold, visitTraversalMethod_union, visitTraversalMethod_until_Predicate, visitTraversalMethod_until_Traversal, visitTraversalMethod_V, visitTraversalMethod_value, visitTraversalMethod_valueMap_boolean_String, visitTraversalMethod_valueMap_String, visitTraversalMethod_values, visitTraversalMethod_where_P, visitTraversalMethod_where_String_P, visitTraversalMethod_where_Traversal, visitTraversalMethod_with_String_Object, visitTraversalMethod_with_String, visitTraversalMethod_write, visitTraversalMethod, visitTraversalOperator, visitTraversalOrder, visitTraversalPop, visitTraversalPredicate_between, visitTraversalPredicate_containing, visitTraversalPredicate_endingWith, visitTraversalPredicate_eq, visitTraversalPredicate_gt, visitTraversalPredicate_gte, visitTraversalPredicate_inside, visitTraversalPredicate_lt, visitTraversalPredicate_lte, visitTraversalPredicate_neq, visitTraversalPredicate_not, visitTraversalPredicate_notContaining, visitTraversalPredicate_notEndingWith, visitTraversalPredicate_notStartingWith, visitTraversalPredicate_outside, visitTraversalPredicate_startingWith, visitTraversalPredicate_within, visitTraversalPredicate_without, visitTraversalPredicate, visitTraversalSackMethod, visitTraversalScope, visitTraversalSelfMethod_none, visitTraversalSelfMethod, visitTraversalSource, visitTraversalSourceSelfMethod_with, visitTraversalSourceSelfMethod_withBulk, visitTraversalSourceSelfMethod_withPath, visitTraversalSourceSelfMethod_withSack, visitTraversalSourceSelfMethod_withSideEffect, visitTraversalSourceSelfMethod_withStrategies, visitTraversalSourceSelfMethod, visitTraversalSourceSpawnMethod_addE, visitTraversalSourceSpawnMethod_addV, visitTraversalSourceSpawnMethod_E, visitTraversalSourceSpawnMethod_inject, visitTraversalSourceSpawnMethod_io, visitTraversalSourceSpawnMethod_V, visitTraversalSourceSpawnMethod, visitTraversalStrategyArgs_EdgeLabelVerificationStrategy, visitTraversalStrategyArgs_PartitionStrategy, visitTraversalStrategyArgs_ProductiveByStrategy, visitTraversalStrategyArgs_ReservedKeysVerificationStrategy, visitTraversalStrategyArgs_SubgraphStrategy, visitTraversalStrategyExpr, visitTraversalStrategyList, visitTraversalTerminalMethod_explain, visitTraversalTerminalMethod_hasNext, visitTraversalTerminalMethod_iterate, visitTraversalTerminalMethod_next, visitTraversalTerminalMethod_toBulkSet, visitTraversalTerminalMethod_toList, visitTraversalTerminalMethod_toSet, visitTraversalTerminalMethod_tryNext, visitTraversalTerminalMethod, visitWithOptionsStringConstant, visitWithOptionsStringConstants`

    - ### Methods inherited from class org.antlr.v4.runtime.tree.AbstractParseTreeVisitor

      `aggregateResult, defaultResult, shouldVisitNextChild, visit, visitChildren, visitErrorNode, visitTerminal`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.antlr.v4.runtime.tree.ParseTreeVisitor

      `visit, visitChildren, visitErrorNode, visitTerminal`

- - ### Field Detail

    - #### TOTAL_INTEGER_RANGE_RESULT_COUNT_LIMIT

          public static final int TOTAL_INTEGER_RANGE_RESULT_COUNT_LIMIT

      Limit for integer range result count. It is used to avoid OOM in JVM.
      See Also:
        Constant Field Values

    - #### antlr

          protected final GremlinAntlrToJava antlr

    - #### traversalStrategyVisitor

          protected GremlinBaseVisitor<TraversalStrategy> traversalStrategyVisitor

  - ### Constructor Detail

    - #### GenericLiteralVisitor

          public GenericLiteralVisitor(GremlinAntlrToJava antlr)

  - ### Method Detail

    - #### getInstance

          public static GenericLiteralVisitor getInstance()

    - #### getStringLiteral

          public static String getStringLiteral(GremlinParser.StringLiteralContext stringLiteral)

      Parse a string literal context and return the string literal

    - #### getBooleanLiteral

          public static boolean getBooleanLiteral(GremlinParser.BooleanLiteralContext booleanLiteral)

      Parse a boolean literal context and return the boolean literal

    - #### getStringLiteralList

          public static String[] getStringLiteralList(GremlinParser.StringLiteralListContext stringLiteralList)

      Parse a String literal list context and return a string array

    - #### getGenericLiteralList

          public static Object[] getGenericLiteralList(GremlinParser.GenericLiteralListContext objectLiteralList)

      Parse a generic literal list, and return an object array

    - #### getTraversalStrategyList

          public static TraversalStrategy[] getTraversalStrategyList(GremlinParser.TraversalStrategyListContext traversalStrategyListContext,
                                                                     GremlinBaseVisitor<TraversalStrategy> traversalStrategyVisitor)

      Parse a TraversalStrategy literal list context and return a string array

    - #### visitGenericLiteralList

          public Object visitGenericLiteralList(GremlinParser.GenericLiteralListContext ctx)

      Visit a parse tree produced by `GremlinParser.genericLiteralList()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitGenericLiteralList` in interface `GremlinVisitor<Object>`
      Overrides:
        `visitGenericLiteralList` in class `GremlinBaseVisitor<Object>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitGenericLiteralExpr

          public Object visitGenericLiteralExpr(GremlinParser.GenericLiteralExprContext ctx)

      Visit a parse tree produced by `GremlinParser.genericLiteralExpr()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitGenericLiteralExpr` in interface `GremlinVisitor<Object>`
      Overrides:
        `visitGenericLiteralExpr` in class `GremlinBaseVisitor<Object>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitGenericLiteral

          public Object visitGenericLiteral(GremlinParser.GenericLiteralContext ctx)

      Visit a parse tree produced by `GremlinParser.genericLiteral()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitGenericLiteral` in interface `GremlinVisitor<Object>`
      Overrides:
        `visitGenericLiteral` in class `GremlinBaseVisitor<Object>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitGenericLiteralMap

          public Object visitGenericLiteralMap(GremlinParser.GenericLiteralMapContext ctx)

      Visit a parse tree produced by `GremlinParser.genericLiteralMap()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitGenericLiteralMap` in interface `GremlinVisitor<Object>`
      Overrides:
        `visitGenericLiteralMap` in class `GremlinBaseVisitor<Object>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitNestedTraversal

          public Object visitNestedTraversal(GremlinParser.NestedTraversalContext ctx)

      Visit a parse tree produced by `GremlinParser.nestedTraversal()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitNestedTraversal` in interface `GremlinVisitor<Object>`
      Overrides:
        `visitNestedTraversal` in class `GremlinBaseVisitor<Object>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTerminatedTraversal

          public Object visitTerminatedTraversal(GremlinParser.TerminatedTraversalContext ctx)

      Visit a parse tree produced by `GremlinParser.terminatedTraversal()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTerminatedTraversal` in interface `GremlinVisitor<Object>`
      Overrides:
        `visitTerminatedTraversal` in class `GremlinBaseVisitor<Object>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitIntegerLiteral

          public Object visitIntegerLiteral(GremlinParser.IntegerLiteralContext ctx)

      Visit a parse tree produced by `GremlinParser.integerLiteral()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitIntegerLiteral` in interface `GremlinVisitor<Object>`
      Overrides:
        `visitIntegerLiteral` in class `GremlinBaseVisitor<Object>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitFloatLiteral

          public Object visitFloatLiteral(GremlinParser.FloatLiteralContext ctx)

      Visit a parse tree produced by `GremlinParser.floatLiteral()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitFloatLiteral` in interface `GremlinVisitor<Object>`
      Overrides:
        `visitFloatLiteral` in class `GremlinBaseVisitor<Object>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitBooleanLiteral

          public Object visitBooleanLiteral(GremlinParser.BooleanLiteralContext ctx)

      Visit a parse tree produced by `GremlinParser.booleanLiteral()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitBooleanLiteral` in interface `GremlinVisitor<Object>`
      Overrides:
        `visitBooleanLiteral` in class `GremlinBaseVisitor<Object>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitDateLiteral

          public Object visitDateLiteral(GremlinParser.DateLiteralContext ctx)

      Visit a parse tree produced by `GremlinParser.dateLiteral()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitDateLiteral` in interface `GremlinVisitor<Object>`
      Overrides:
        `visitDateLiteral` in class `GremlinBaseVisitor<Object>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitStringLiteral

          public Object visitStringLiteral(GremlinParser.StringLiteralContext ctx)

      Visit a parse tree produced by `GremlinParser.stringLiteral()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitStringLiteral` in interface `GremlinVisitor<Object>`
      Overrides:
        `visitStringLiteral` in class `GremlinBaseVisitor<Object>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalToken

          public Object visitTraversalToken(GremlinParser.TraversalTokenContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalToken()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalToken` in interface `GremlinVisitor<Object>`
      Overrides:
        `visitTraversalToken` in class `GremlinBaseVisitor<Object>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalCardinality

          public Object visitTraversalCardinality(GremlinParser.TraversalCardinalityContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalCardinality()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalCardinality` in interface `GremlinVisitor<Object>`
      Overrides:
        `visitTraversalCardinality` in class `GremlinBaseVisitor<Object>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalDirection

          public Object visitTraversalDirection(GremlinParser.TraversalDirectionContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalDirection()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalDirection` in interface `GremlinVisitor<Object>`
      Overrides:
        `visitTraversalDirection` in class `GremlinBaseVisitor<Object>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalOptionParent

          public Object visitTraversalOptionParent(GremlinParser.TraversalOptionParentContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalOptionParent()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalOptionParent` in interface `GremlinVisitor<Object>`
      Overrides:
        `visitTraversalOptionParent` in class `GremlinBaseVisitor<Object>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalStrategy

          public Object visitTraversalStrategy(GremlinParser.TraversalStrategyContext ctx)

      Description copied from class: `GremlinBaseVisitor`
      Visit a parse tree produced by `GremlinParser.traversalStrategy()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalStrategy` in interface `GremlinVisitor<Object>`
      Overrides:
        `visitTraversalStrategy` in class `GremlinBaseVisitor<Object>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitGenericLiteralRange

          public Object visitGenericLiteralRange(GremlinParser.GenericLiteralRangeContext ctx)

      Groovy range operator syntax is defined in http://groovy-lang.org/operators.html#_range_operator Visit a parse tree produced by `GremlinParser.genericLiteralRange()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitGenericLiteralRange` in interface `GremlinVisitor<Object>`
      Overrides:
        `visitGenericLiteralRange` in class `GremlinBaseVisitor<Object>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitNullLiteral

          public Object visitNullLiteral(GremlinParser.NullLiteralContext ctx)

      Visit a parse tree produced by `GremlinParser.nullLiteral()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitNullLiteral` in interface `GremlinVisitor<Object>`
      Overrides:
        `visitNullLiteral` in class `GremlinBaseVisitor<Object>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitGenericLiteralCollection

          public Object visitGenericLiteralCollection(GremlinParser.GenericLiteralCollectionContext ctx)

      Visit a parse tree produced by `GremlinParser.genericLiteralCollection()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Generic literal collection returns a list of `Object`
      Specified by:
        `visitGenericLiteralCollection` in interface `GremlinVisitor<Object>`
      Overrides:
        `visitGenericLiteralCollection` in class `GremlinBaseVisitor<Object>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.